package org.processmining.plugins.DataConformance.framework;

import org.deckfour.xes.classification.XEventClass;


public class ActivityMatchCost 
{
	private XEventClass eventClass=null;
	private ReplayableActivity processActivity=null;
	private boolean allEvents=false;
	private boolean allProcessActivities=false;
	private float cost=0;
	
	public String toString()
	{
		if (allEvents)
			return "ALLEVENTS";
		else if (allProcessActivities)
			return "ALLPROCESSACTIVITIES";
		else
		return processActivity+" ("+eventClass+")";
	}
	
	public void setProcessActivity(ReplayableActivity processActivity) {
		this.processActivity = processActivity;
	}

	public ReplayableActivity getProcessActivity() {
		return processActivity;
	}

	public void setAllEvents(boolean allEvents) {
		this.allEvents = allEvents;
		if (allEvents)
			allProcessActivities=false;
	}

	public boolean isAllEvents() {
		return allEvents;
	}

	public void setAllProcessActivities(boolean allProcessActivities) {
		this.allProcessActivities = allProcessActivities;
		if (allProcessActivities)
			allEvents=false;
	}

	public boolean isAllProcessActivities() {
		return allProcessActivities;
	}

	public float getCost() {
		return cost;
	}

	public void setCost(float cost) 
	{
		if (cost>0) this.cost = cost;
	}

	public void setEventClass(XEventClass aValue) {
		this.eventClass = aValue;
	}

	public XEventClass getEventClass() {
		return eventClass;
	}

}
