package org.processmining.plugins.balancedconformance.functions;

import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.plugins.DataConformance.framework.WriteOperationCost;
import org.processmining.plugins.balancedconformance.mapping.Variable;

import com.google.common.collect.ImmutableMap;
import com.google.common.collect.SetMultimap;

public interface FunctionBinary extends Function {

	VirtualVariable createPrimaryVariable(ImmutableMap<String, Variable> normalVariables,
			WriteOperationCost writeOperationCost, SetMultimap<String, Transition> nameToTransition,
			Transition transition, String parameter1, String parameter2) throws FunctionException;

	SetMultimap<Transition, VirtualVariable> createHelperVariables(ImmutableMap<String, Variable> normalVariables,
			WriteOperationCost writeOperationCost, SetMultimap<String, Transition> nameToTransition,
			Transition transition, VirtualVariable primaryVariable, String parameter1, String parameter2)
			throws FunctionException;

}