package org.processmining.plugins.DataConformance.DataAlignment.DCNet;

import java.util.Collection;
import java.util.Map;

import org.deckfour.xes.classification.XEventClassifier;
import org.deckfour.xes.model.XLog;
import org.processmining.models.DCNet.DCNet;
import org.processmining.plugins.DataConformance.DCnet.ResultReplayDCNet;
import org.processmining.plugins.DataConformance.DataAlignment.DataAlignmentHelper;
import org.processmining.plugins.DataConformance.framework.ReplayState;
import org.processmining.plugins.DataConformance.framework.VariableMatchCosts;

public class ResultReplayDataAlignment extends ResultReplayDCNet {

	public ResultReplayDataAlignment(Collection<ReplayState> list,
			VariableMatchCosts variableCost, DCNet net, XLog log, Map<String,String> variableMapping, XEventClassifier classifier) {
		super(list, null, variableCost, net, log, variableMapping, classifier);
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.plugins.DataConformance.ResultReplay#computeFitness(org.processmining.plugins.DataConformance.framework.ReplayState)
	 */
	@Override
	protected float computeFitness(ReplayState state)
	{
		// Delegate to helper class
		return DataAlignmentHelper.computeFitness(state, variableCost);
	}

}
