package org.processmining.plugins.DataConformance.GUI;

import org.deckfour.xes.classification.XEventClass;
import org.processmining.plugins.DataConformance.framework.ReplayableActivity;


public class VariableMatchCostUI 
{
	private MatchingActivity<? extends ReplayableActivity,XEventClass> activity=null;
	private MatchingXAttribute attribute=null;
	private float costNotWriting=0;
	private float costFaultyValue=0;
	private boolean isFinal=false;
	
	public VariableMatchCostUI()
	{
		activity=MatchingActivity.ALLFLEXNODES;
		attribute=MatchingXAttribute.ALLATTRIBUTES;
	}
	
	public MatchingActivity<? extends ReplayableActivity,XEventClass> getActivity() {
		return activity;
	}
	public void setActivity(MatchingActivity<? extends ReplayableActivity,XEventClass> activity) 
	{
		this.activity = activity;
	}
	
	public MatchingXAttribute getVariable() {
		return attribute;
	}
	public void setVariable(MatchingXAttribute variable) {
		attribute = variable;
	}
	public float getCostNotWriting() {
		return costNotWriting;
	}
	public void setCostNotWriting(float costNotWriting) {
		this.costNotWriting = costNotWriting;
	}
	public float getCostFaultyValue() {
		return costFaultyValue;
	}
	public void setCostFaultyValue(float costFaultyValue) {
		this.costFaultyValue = costFaultyValue;
	}
	public boolean isFinal() {
		return isFinal;
	}
	public void setFinal(boolean isFinal) {
		this.isFinal = isFinal;
	}
}
