package org.processmining.plugins.balancedconformance.controlflow.override.queues.duplicates;

import nl.tue.astar.Record;

public class BFDuplicatePriorityQueue extends DuplicateStatesFastLookupPriorityQueue {

	public BFDuplicatePriorityQueue(int initialCapacity) {
		super(initialCapacity);
	}

	protected boolean isBetter(Record r1, Record r2) {
		// retrieve stored cost
		double c1 = r1.getTotalCost();
		double c2 = r2.getTotalCost();
		
		if (c1 < c2 || (c1 == c2 && r1.getCostSoFar() < r2.getCostSoFar())) {
			return true;
		}
		return false;
	}

}
