/*
 * Copyright (c) 2013 F. Mannhardt (f.mannhardt@tue.nl)
 */
package org.processmining.plugins.balancedconformance.dataflow.exception;

/**
 * @author F. Mannhardt
 *
 */
public class DataAlignmentException extends Exception {

	public static final class InvalidConfiguration extends DataAlignmentException {

		private static final long serialVersionUID = -5366997514845435124L;

		public InvalidConfiguration() {
			super();
		}

		public InvalidConfiguration(String message, Throwable cause) {
			super(message, cause);
		}

		public InvalidConfiguration(String message) {
			super(message);
		}

		public InvalidConfiguration(Throwable cause) {
			super(cause);
		}

	}

	private static final long serialVersionUID = 2363402536470513684L;

	public DataAlignmentException() {
		super();
	}

	public DataAlignmentException(String message, Throwable cause) {
		super(message, cause);
	}

	public DataAlignmentException(String message) {
		super(message);
	}

	public DataAlignmentException(Throwable cause) {
		super(cause);
	}

}
